varying float height;

uniform sampler2D Eng_EnvWaterHeightMap;
uniform float Eng_ObjectWaterHeight;

void main()
{
	if (height < Eng_ObjectWaterHeight)
  		discard;
	else
		gl_FragColor = vec4(0.0, 0.0, 0.0, 0.0);
}
